VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Typedefs | Enumerations
VSTGUI::Standalone::Application Namespace Reference

## Classes
struct | ConfigValue
| Configuration Value. More...
struct | Init
| Init application. More...
class | DelegateAdapter
| Application delegate adapter More...
struct | Info
| Application info. More...
class | IDelegate
| Application delegate interface. More...

## Typedefs
using | Configuration = std::vector< std::pair< ConfigKey, ConfigValue >>
| Startup configuration.
using | DelegatePtr = std::unique_ptr< IDelegate >

## Enumerations
enum | ConfigKey : uint64_t { UseCompressedUIDescriptionFiles, ShowCommandsInContextMenu }
| Configuration keys. More...

## Typedef Documentation

using DelegatePtr = std::unique_ptr<IDelegate>